#ifndef LICENSE_H
#define LICENSE_H

#include <stdlib.h>
#include <gtk/gtk.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <locale.h>
#include <libintl.h>
#include <unistd.h>
#include <stdio.h>
#include <polkit/polkit.h>
#include <string.h>
#include "common.h"
#define _(string) dgettext("nklicadm",string)
#define _N(string) dgettext("licmanager",string)


#define LOCALEDIR "/usr/share/locale/"
//#define LOCALEDIR "/home/chenbo/nk_lic_applet"
#define GETTEXT_PACKAGE     "licmanager"
#define WIDTH 500
#define HEIGHT 280 
#define NKRELEASE		"/etc/neokylin-release"
#define KRELEASE		"/etc/kylin-release"
#define NKPRODUCTINFO	"/etc/.productinfo"
//#define license_file "/etc/licmanager/license.dat"
#define license_file "license.dat"
#define LOCKFILE "/tmp/daemon1.pid"
#define LOCKFILE2 "/tmp/daemon2.pid"

void update_widget_bg(GtkWidget *widget, gchar *img_file);
int join_license_info(char *buf);
#define SET_BG(X) update_widget_bg(X,"/etc/licmanager/License.jpg")
#define FIXED_WINDOW(X)    gtk_window_set_resizable(X,FALSE)
#define CONTACT_INFO  _N("Phone Number：400-089-1870\nE-mail Address：register@kylinos.cn");
#define CONTACT_INFO_UNREGISTER _N("If you would like to purchase a license,\nplease contact our customer service.\nPhone Number：400-089-1870\nE-mail Address：register@kylinos.cn");
gchar *contact_info;
GtkWidget *contact_label;
GtkWidget *license_label;
GtkWidget *import,*export;
const gchar register_info[512];
gchar *markerup;
#define YELLOW_ICON  "/etc/licmanager/seahorse-1.png"
#define GREEN_ICON  "/etc/licmanager/seahorse-2.png"
#define RED_ICON "/etc/licmanager/seahorse-3.png"

#define NEOKYLIN_ICON "/etc/licmanager/Neokylin.png" 
#define SET_ICON(X) gtk_window_set_icon(X,gdk_pixbuf_new_from_file(NEOKYLIN_ICON, NULL))

//Added 20140424
#define PID_GENER 11
#define PID_ADVAN 12
#define PID_VIRTUAL 41	
#define PID_ADVAN_V7 13
#define PID_ADVAN_V10 13
#define PID_ADVAN_V7_AND_V10 13
#define PID_VIRTUAL_V7 42

//#define NKRELEASE		"/etc/neokylin-release"
//#define NKPRODUCTINFO	"/etc/.productinfo"
#define GENMARK		"NeoKylin Linux General Server"
#define ADVMARK		"Kylin Linux Advanced Server"
#define VIRTUALMARK	"Kylin Linux Advanced Server (Virtualization Edition)"
#define VIRTFLAG	"(Virtualization Edition)"
#define RELEASE		"release"

//#define GENMARK_P		"NeoKylin Linux General Server"
//#define ADVMARK_P		"NeoKylin Linux Advanced Server"
//#define VIRTUALMARK_P	"NeoKylin Linux Advanced Server (Virtualization Edition)"


gchar *icon_file;
GtkStatusIcon *lic_tray_icon;
extern int auth_result;
extern GtkWidget *main_window;
extern GtkWidget *import_window;
extern GtkWidget *export_window;
extern void update_icon();
extern GtkStatusIcon *lic_tray_icon;
#endif

#define EXPORTTITLE _N("Export the Registration File")
#define INPORTTITLE _N("Import Authorization File")
