#include "license.h" 
extern GtkWidget *license_label;
extern const gchar register_info[512]; 
static void import_button_clicked(GtkButton* window, gpointer data);
GtkWidget *import_window;
void close_import_button(GtkWidget *window, gpointer data)
{
    GdkPixbuf *pixbuf;
    update_license_status();
    pixbuf = gdk_pixbuf_new_from_file(icon_file, NULL); 
     gtk_status_icon_set_from_pixbuf (lic_tray_icon,pixbuf);
   
    join_license_info(register_info); 
    markerup = g_markup_printf_escaped ("<span style=\"normal\" font=\"12.5\">%s</span>", register_info); 
    gtk_label_set_markup(license_label,markerup);
    gtk_label_set_label(contact_label,contact_info);
//    gtk_widget_show_all((GtkWidget*)data);
    gtk_widget_destroy(import_window);
    gtk_widget_destroy((GtkWidget*)data);
    main_window = NULL;
    import_window = NULL;
    gtk_status_icon_set_visible (lic_tray_icon, TRUE);
    gtk_main_quit();
    import_window=NULL;
}
void import_feedback_code(GtkWidget *widget,gpointer data)
{
    GtkWidget *button;
    GtkWidget *vbox;
    GtkWidget *feedback_code_label; 
    gchar *feedback_code = _N("Please Choose the Authorization File");
//    gtk_init(&argc,&argv);
    gtk_widget_hide_all((GtkWidget*)data);    
    import_window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
    SET_ICON(import_window);
    gtk_window_set_title(GTK_WINDOW(import_window), _N("Import the Authorization File"));
    gtk_container_set_border_width(GTK_CONTAINER(import_window),10);
    //gtk_window_set_default_size(GTK_WINDOW(import_window),WIDTH,HEIGHT);
    
    gtk_widget_set_size_request(import_window,WIDTH,HEIGHT);
    FIXED_WINDOW(import_window);
    gtk_window_set_position(import_window,GTK_WIN_POS_CENTER_ALWAYS);
    
    vbox = gtk_vbox_new(FALSE,10);
    
    button = gtk_button_new_with_label(_N("Import from..."));
    g_signal_connect(GTK_OBJECT(button),"clicked", GTK_SIGNAL_FUNC(import_button_clicked),data);
    g_signal_connect(GTK_OBJECT(import_window),"destroy",GTK_SIGNAL_FUNC(close_import_button),data);
   
    SET_BG(button);
    SET_BG(import_window); 
    SET_BG(vbox);
    feedback_code_label = gtk_label_new(feedback_code);
    //gtk_label_set_label(feedback_code_label,feedback_code); 
    gtk_box_pack_start(GTK_BOX(vbox),feedback_code_label,FALSE,FALSE,5);
    gtk_box_pack_start(GTK_BOX(vbox),button,FALSE,FALSE,5);
    gtk_container_add(GTK_CONTAINER(import_window), vbox);
    gtk_widget_show_all(import_window);
    gtk_main();
    import_window=NULL;
}
static void import_button_clicked(GtkButton* window, gpointer data)
{
    GtkWidget *dialog;
    gchar *filename;
    char file_fullname[512];
    int ret;
    verify(); 
    gtk_status_icon_set_visible (lic_tray_icon, FALSE);
    if(auth_result){
    dialog = gtk_file_chooser_dialog_new(_N("Please Choose the Authorization File..."),
                                        window,
                                        GTK_FILE_CHOOSER_ACTION_OPEN,
                                        GTK_STOCK_CANCEL,GTK_RESPONSE_CANCEL,
                                        GTK_STOCK_OPEN,GTK_RESPONSE_ACCEPT,
                                        NULL);
   SET_ICON(dialog);
    gint result = gtk_dialog_run(GTK_DIALOG(dialog));
    if (result == GTK_RESPONSE_ACCEPT)
    {
       filename = gtk_file_chooser_get_filename(GTK_FILE_CHOOSER(dialog));
       ret = g_lic_import_lic_file_cli(filename, file_fullname);
       if (ret)
       {

		if(ret == EXIT_REIMPORT ) {
			push_message_dialog(_N("Please don't repeat to import the license file\n"), INPORTTITLE);
            		gtk_widget_destroy(dialog);
		} else if(ret == 919) {
			gtk_widget_destroy(dialog);
                        push_message_dialog(_N("\nYour license file has been successfully imported!\nNote: machine type changed!\n"),INPORTTITLE);
		} else if(ret == 929) {
			gtk_widget_destroy(dialog);
                        push_message_dialog(_N("\nYour license file has been successfully imported!\nNote: machine cpu number changed!\n"),INPORTTITLE);
		} else {
			push_message_dialog(_N("Import Authorization File Failure\n"), INPORTTITLE);
            		gtk_widget_destroy(dialog);
		}
       } 
       else{
           gtk_widget_destroy(dialog);
           push_message_dialog(_N("\nYour license file has been successfully imported!\n\n"),INPORTTITLE); 
       }
    }
    else
        gtk_widget_destroy(dialog);
   }
    close_import_button((GtkWidget *)window,data);
}                                       
