#include <gtk/gtk.h>
/* */
gboolean lic_help_window_show(GtkWidget *widget, gpointer data)
{
    GtkWidget * window, *label;

    window=gtk_window_new(GTK_WINDOW_TOPLEVEL);
    gtk_window_set_title(GTK_WINDOW(window), "Help");
    gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);
    gtk_container_set_border_width(GTK_CONTAINER(window),10);
    gtk_widget_set_size_request(window, 450,320);

    label=gtk_label_new("");

    /* Fixme: User Guide */
    gchar *markerup="<b><big>Steps to get your Kylin system certified:</big></b>\n\n"
    "1. <b>Left click</b> the tray icon of Kylin license applet and then select \"<b>Apply</b>\".\n\n"
    "2. <b>Follow </b>the guide to generate a <b>feedback code</b>.\n\n";

    gtk_label_set_line_wrap (GTK_LABEL(label),TRUE);
    gtk_label_set_markup(GTK_LABEL(label), markerup);
    
    /*  Fixme:  标签可选后的显示效果问题
     *  gtk_label_set_selectable(GTK_LABEL(label), TRUE);
     */
    gtk_container_add(GTK_CONTAINER(window), label);

    gtk_widget_show_all(window);
    return TRUE;
}

gboolean lic_about_dialog_show(GtkWidget *widget, gpointer data)
{ 
  static const gchar * authors[]={"R&D Center of Server OS, Kylin Software, Inc.\n",
                 "Liu Jiaming <jiaming.liu@cs2c.com.cn>",NULL};
  static const gchar * artists[]={"Liu Jiaming <jiaming.liu@cs2c.com.cn>",NULL};
  GdkPixbuf *pixbuf = gdk_pixbuf_new_from_file("./seahorse.png", NULL);/* Fixme: file positon */

  GtkWidget *dialog = gtk_about_dialog_new();

  /*Logo, progname, version, comments, copyright, website */
  gtk_about_dialog_set_logo(GTK_ABOUT_DIALOG(dialog), pixbuf);
  gtk_about_dialog_set_name(GTK_ABOUT_DIALOG(dialog), "Kylin License Applet"); 
  gtk_about_dialog_set_version(GTK_ABOUT_DIALOG(dialog), "0.1"); /*Fixme: should be global.*/
  gtk_about_dialog_set_comments(GTK_ABOUT_DIALOG(dialog), 
     " Notification area applet for managing your Kylin license");
  gtk_about_dialog_set_copyright(GTK_ABOUT_DIALOG(dialog), 
      "\xc2\xa9 China Standard Software Co., Ltd");
  gtk_about_dialog_set_website(GTK_ABOUT_DIALOG(dialog), 
    "http://www.kylinos.cn");

  gtk_about_dialog_set_authors(GTK_ABOUT_DIALOG(dialog), authors);
  gtk_about_dialog_set_artists(GTK_ABOUT_DIALOG(dialog), artists);
  gtk_about_dialog_set_license(GTK_ABOUT_DIALOG(dialog),"GPLv2+");
  gtk_dialog_run(GTK_DIALOG (dialog));
  gtk_widget_destroy(dialog);
  return TRUE;
}
